Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
allocations
List Portfolio Allocations
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocations
import requests

url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocations"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "allocations": [
    {
      "root_id": "<string>",
      "reversal_id": "<string>",
      "allocation_completed_at": "2023-11-07T05:31:56Z",
      "user_id": "<string>",
      "product_id": "<string>",
      "avg_price": "<string>",
      "base_quantity": "<string>",
      "quote_value": "<string>",
      "fees_allocated": "<string>",
      "status": "ALLOCATION_STATUS_UNSPECIFIED",
      "source": "<string>",
      "order_ids": [
        "<string>"
      ],
      "destinations": [
        {
          "leg_id": "<string>",
          "portfolio_id": "<string>",
          "allocation_base": "<string>",
          "allocation_quote": "<string>",
          "fees_allocated_leg": "<string>"
        }
      ],
      "netting_id": "<string>"
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Path Parameters

portfolio_id
string
required

Portfolio to retrieve allocations for.

Query Parameters

product_ids
string[]

List of products by which to filter the response.

order_side
enum<string>

An order side to filter allocations on.

  • UNKNOWN_ORDER_SIDE: nil value
  • BUY: Buy order
  • SELL: Sell order
Available options:
BUY,
SELL
start_date
string<date-time>
required

A start date for the allocations to be queried from.

end_date
string<date-time>

An end date for the orders to be queried from.

cursor
string

Id to retrieve additional results strictly after

limit
integer<int32>

Number of items to retrieve

sort_direction
enum<string>
default:DESC

Sorting order: DESC or ASC

Available options:
DESC,
ASC

Response

200 - application/json

A successful response.

allocations
object[]

List of allocations.

pagination
object